V0 - Update Organizational Units (externalId)
PUT
/
organizations
/
externalid
/
{externalId}
/
organizationalunits
/
V0 - Update Organizational Units (externalId)
curl --request PUT \
--url https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/organizationalunits/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"approvers": {},
"organizationExternalSourceId": "o1",
"subUnits": {},
"name": "En avdelning",
"description": null,
"externalSourceId": "1234"
}
'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/organizationalunits/"
payload = {
"approvers": {},
"organizationExternalSourceId": "o1",
"subUnits": {},
"name": "En avdelning",
"description": None,
"externalSourceId": "1234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
approvers: {},
organizationExternalSourceId: 'o1',
subUnits: {},
name: 'En avdelning',
description: null,
externalSourceId: '1234'
})
};
fetch('https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/organizationalunits/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/organizationalunits/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'approvers' => [
],
'organizationExternalSourceId' => 'o1',
'subUnits' => [
],
'name' => 'En avdelning',
'description' => null,
'externalSourceId' => '1234'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/organizationalunits/"
payload := strings.NewReader("{\n \"approvers\": {},\n \"organizationExternalSourceId\": \"o1\",\n \"subUnits\": {},\n \"name\": \"En avdelning\",\n \"description\": null,\n \"externalSourceId\": \"1234\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/organizationalunits/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"approvers\": {},\n \"organizationExternalSourceId\": \"o1\",\n \"subUnits\": {},\n \"name\": \"En avdelning\",\n \"description\": null,\n \"externalSourceId\": \"1234\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/organizationalunits/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"approvers\": {},\n \"organizationExternalSourceId\": \"o1\",\n \"subUnits\": {},\n \"name\": \"En avdelning\",\n \"description\": null,\n \"externalSourceId\": \"1234\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The external source id of the organization
Body
application/json
Response
200
Last modified on August 31, 2026
⌘I
V0 - Update Organizational Units (externalId)
curl --request PUT \
--url https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/organizationalunits/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"approvers": {},
"organizationExternalSourceId": "o1",
"subUnits": {},
"name": "En avdelning",
"description": null,
"externalSourceId": "1234"
}
'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/organizationalunits/"
payload = {
"approvers": {},
"organizationExternalSourceId": "o1",
"subUnits": {},
"name": "En avdelning",
"description": None,
"externalSourceId": "1234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
approvers: {},
organizationExternalSourceId: 'o1',
subUnits: {},
name: 'En avdelning',
description: null,
externalSourceId: '1234'
})
};
fetch('https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/organizationalunits/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/organizationalunits/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'approvers' => [
],
'organizationExternalSourceId' => 'o1',
'subUnits' => [
],
'name' => 'En avdelning',
'description' => null,
'externalSourceId' => '1234'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/organizationalunits/"
payload := strings.NewReader("{\n \"approvers\": {},\n \"organizationExternalSourceId\": \"o1\",\n \"subUnits\": {},\n \"name\": \"En avdelning\",\n \"description\": null,\n \"externalSourceId\": \"1234\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/organizationalunits/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"approvers\": {},\n \"organizationExternalSourceId\": \"o1\",\n \"subUnits\": {},\n \"name\": \"En avdelning\",\n \"description\": null,\n \"externalSourceId\": \"1234\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/organizationalunits/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"approvers\": {},\n \"organizationExternalSourceId\": \"o1\",\n \"subUnits\": {},\n \"name\": \"En avdelning\",\n \"description\": null,\n \"externalSourceId\": \"1234\"\n}"
response = http.request(request)
puts response.read_body
